<!-- ======= LISTADO CON: EXPORT Y PAGINADOR ======= -->
{% extends 'core/base-tables.html' %}

{% block content %}

<main id="main">

  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="container-fluid">
      <div class="row justify-content-center">
        <div class="col-xl-10 d-flex align-items-center">
          <div class="col-md-6 text-left" data-aos="fade-up">
            <h2>{{ titulo }}</h2>
            <a href="{{ url_for('Home.index') }}">Inicio</a>
            <i class="icofont-curved-right"></i><a href="{{ url_for('CatalogoCertificaciones.explore') }}">Certificaciones</a>
            {% if filtro_cat>'' %}
            <i class="icofont-curved-right"></i>{{ filtro_tit }}
            {% endif %}
          </div>
          <div class="col-md-6 text-right" data-aos="fade-up">
            <h3><i class="bx bx-filter-alt"></i>&nbsp;Ejes</h3>
            {% for item in ejes %}
            {% if loop.index!=1 %}
            |
            {% endif %}
            {% if filtro_cat=='eje' and filtro_tag==item.nombre %}
            <span>{{item.nombre}}<i class="bx bx-check icon-check"></i></span>
            {%else%}
            <a href="{{ url_for('CatalogoCertificaciones.explore_x_eje') }}?codigo={{item.codigo}}">{{item.nombre}}</a>
            {% endif %}
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
  </section><!-- End Breadcrumbs -->

    <!-- ======= Table-List Section ======= -->
  <section id="list" class="list section-bg">
    <div class="container-fluid">
      <div class="row justify-content-center">
        <div class="col-xl-10 d-flex entries">
          <div class="col-lg-9 entries">

            {% if filtro_cat>'' %}
            <div class="toolbar">
              <span>
                <a id="new" class="btn-primary animate__animated animate__fadeInUp" href="{{ url_for('CatalogoCertificaciones.explore') }}" title="Quitar filtro">
                  <span><i class="icofont-hand-drawn-down"></i> Ver Todas</span>
                </a>
              </span>
            </div>
            {% endif %}

            {% if (datos|count > 0) %}
            <table
              id="table"
              data-search="true"
              data-pagination="true"
              data-page-size="6"
              data-show-custom-view="true"
              data-custom-view="customViewFormatter"
              data-show-custom-view-button="true">
              <thead>
                <tr>
                  <th data-field="nombre">Nombre</th>
                  <th data-field="entidad">Entidad</th>
                </tr>
            </thead>
            </table>
            
            <template id="profileTemplate">
              <div class="col-12 mt-3">
                <div class="card">
                  <div class="card-body">
                    <div class="row">
                      <div class="col-12">
                        <div class="icon-box" data-aos="fade-up">
                          <div class="icon"><img src="/static/dist/img/iconset/c_cer.png" /></div>
                          <h4 class="title">%NOMBRE%</h4>
                          <ul>
                            <div class="row">
                              <div class="col-12">
                                <strong>Entidad</strong>:&nbsp;%ENTIDAD%
                              </div>
                            </div>
                            <div class="row">
                              <div class="col-12">
                                <strong>Referencia</strong>:&nbsp;%REFERENCIA%
                              </div>
                            </div>
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </template>
            {% else %}
            <div></br></br></br>No se encontraron Certificaciones.</div>
            {% endif %}
          </div>

          <!-- ======= Sidebar: Table-List Filters ======= -->
          <div class="col-lg-3">
            <div class="sidebar section-bg">
              <div class="filter">

                <div class="section-title">
                  <h3>Filtros</h3>
                </div>
  
                <div class="filter-list">
                  <ul>
                    <li data-aos="fade-up">
                      <i class="bx bx-filter-alt icon-filter"></i><a data-toggle="collapse" href="#filter-list-1" class="collapsed">Criterios <i class="bx bx-chevron-down icon-show"></i><i class="bx bx-chevron-up icon-close"></i></a>
                      <div id="filter-list-1" class="collapse {% if filtro_cat=='criterio'%}show{% endif %}" data-parent=".filter-list">
                        <div class="sidebar-item categories">
                          <ul>
                            {% for item in criterios %}
                            <li>
                              {% if filtro_cat=='criterio' and filtro_tag==item.nombre %} 
                              <span>{{item.nombre}}<i class="bx bx-check icon-check"></i></span>
                              {% else %}
                              <a href="{{ url_for('CatalogoCertificaciones.explore_x_criterio') }}?codigo={{item.codigo}}">{{item.nombre}}</a>
                              {% endif %}
                            </li>
                            {% endfor %}
                          </ul>
                        </div>
                      </div>
                    </li>
    
                  </ul>
                </div>
  
              </div>
            </div>
          </div>
          <!-- ======= End Sidebar: Table-List Filters ======= -->

        </div>
      </div>
    </div>
  </section><!-- End Table-List Section -->

</main><!-- End #main -->

{% endblock %}


{% block scripts %}
  <script>
    $(function() {
      
      $('#table').bootstrapTable({
        locale: 'es-ES',
        data: {{datos|tojson}}
      })

    })
  
    function customViewFormatter (data) {
      var template = $('#profileTemplate').html()
      var view = ''
      $.each(data, function (i, row) {
        if(row.entidad == '')
          entidad = '-'
        else
          entidad = row.entidad

        if(row.referencia.substring(0,4) == 'http') 
          referencia = '<a href="' + row.referencia + '" target="_blank"><u>' + row.referencia + '</u></a>'
        else 
          referencia = row.referencia

        view += template.replace('%NOMBRE%', row.nombre)
          .replace('%DESCRIPCION%', row.descripcion)
          .replace('%ENTIDAD%', entidad)
          .replace('%REFERENCIA%', referencia);
      })
  
      return `<div class="row mx-0">${view}</div>`
    }

  </script>
  
{% endblock %}
